import xml.etree.ElementTree as ET
import matplotlib.pyplot as pp
import numpy as np
import math
from pycbc import types, fft, waveform

seuil_f_min = 15.
seuil_f_max = 0.
y_min = 10.
y_max = 0.

for mass in (1.4,5,10,100):
  sptilde, sctilde = waveform. get_fd_waveform(approximant="IMRPhenomD", mass1=mass, mass2=mass, delta_f=1.0/4, f_lower=15)
  pp.plot(sctilde.sample_frequencies,abs(sctilde), label="m1=m2=%s" % mass)
  seuil_f_max = max(seuil_f_max, sctilde.sample_frequencies[-1])
  y_min = min(y_min, min(abs(sctilde)))
  y_max = max(y_max, max(abs(sctilde)))

print(f"seuil_f_min = {seuil_f_min}, seuil_f_max = {seuil_f_max}")
print(f"y_min = {y_min}, y_max = {y_max}")
pp.xlim(seuil_f_min, seuil_f_max)
pp.ylim(10e-25, y_max)
pp.xscale('log')
pp.yscale('log')
pp.xlabel('f [Hz]')
pp.ylabel(r'$|\tilde{h}(f)|$')
pp.legend()
# Ajouter une grille
pp.grid(True)
pp.savefig("plot2.png")
pp.close()